
// AKAssmsDoc.h : interface of the CAKAssmsDoc class
//


#pragma once
#include "P2Pwin32.h"


class CAKAssmsDoc : public CDocument
{
    protected: // create from serialization only
	  CAKAssmsDoc();
	  DECLARE_DYNCREATE(CAKAssmsDoc)

    // Operations
    public:
      void
        DoTableSelectTop1000Rows ( WPARAM wParam, LPARAM lParam );
      void
        DoViewSelectTop1000Rows ( WPARAM wParam, LPARAM lParam );

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
#ifdef SHARED_HANDLERS
	virtual void InitializeSearchContent();
	virtual void OnDrawThumbnail(CDC& dc, LPRECT lprcBounds);
#endif // SHARED_HANDLERS

// Implementation
public:
	virtual ~CAKAssmsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

    // Attributes
    public:
      CString  m_strSQLstmt;

    // Properties
    public:
      const CString&
        GetSQLstmt ( );

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()

#ifdef SHARED_HANDLERS
	// Helper function that sets search content for a Search Handler
	void SetSearchContent(const CString& value);
#endif // SHARED_HANDLERS
public:
};
